2009-07-25 Robert Hogan <robert@roberthogan.net>
  TorK 0.33
    Bug Fixes/Feature Fixes
      o Don't log netstat output when running a relay. Thanks to Sebastian Hahn and Damian
        Johnson for pointing this out.

2009-11-07 Robert Hogan <robert@roberthogan.net>
  TorK 0.32
    Bug Fixes/Feature Fixes
      o Remove torsocks code. TorK now depends on an independent installation of torsocks.
        (http://code.google.com/p/torsocks)
      o Fix crash when listing servers in Antarctica!
      o Remove some compiler errors for new versions of gcc.
      o Remove dependency on some system icons.
      o Updated Italian translation and some localization fixes from Flavio Capelli.
      o Use pkg-config to detect gnutls
      o Update some build files - thanks to Patrick Matthei.

2008-01-29 Robert Hogan <robert@roberthogan.net>
  TorK 0.31
    Bug Fixes/Feature Fixes
      o Major update to German Translation from Hans-J. Ullrich <hans.ullrich at loop.de>
      o Boilerplate Greek Translation
      o Boilerplate Spanish Translation
      o Allow proxy ports up to 99999. Bug reported by anonym.
      o Allow MapAddress configurations to apply properly.
      o Modify 18x12 icons to 16x16 and so prevent packaging violations in Debian and Suse.
        Thanks to Marek Stopka and Patrick Matthai for pointing this out.
      o Fix so that downloading of experimental vs stable tor works properly again.
      o Don't crash if /dev/*/statistics/read does not exist.
      o Always update new server info
      o Fallback to default ORPort and Dirport if UPNP configured but unavailable
      o Prevent Tor from reloading torrc on sighup.


2008-10-21 Robert Hogan <robert@roberthogan.net>
  TorK 0.30
    Bug Fixes/Feature Fixes
      o If firstrun wizard cancelled, then cancel out of TorK and re-run it
        next time Tor is run.
      o Detect netfilter properly on more recent linux kernels.
      o German Translation updated by "Hans-J. Ullrich" <hans.ullrich@loop.de>
      o Remove 'Change Identity' from main toolbar. It's available in the OSD
        and the systray menu instead.
      o Always de-configure server if 'Client' option selected.
      o Wait twenty seconds before assuming there is a problem
        connecting to Tor.
      o Improve the handling of tor installations in the first run wizard
      o Make stream-handling much more efficient for heavy loads
      o Fix http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502155
    Minor Features
      o Add warning when tork is configured to expect privoxy to be running at
        startup but there is no sign of it
      o Add feature to let Tor shut down gracefully.
      o Ensure server settings are set correctly when launching Tor from
        Tork (as opposed to just connecting).
      o Add option to toggle between display of IP address and server name
        in server list.
      o Only display konqueror in application list if it exists.
    Known Bug Not Fixed Yet:
      o If router discovered and connecting to remote/local tor, server
        settings may be applied even if user requests not to.


2008-07-11 Robert Hogan <robert@roberthogan.net>
  TorK 0.29.2
    Bug Fixes/Feature Fixes
     o Fix crash when restarting Tor after clearing down the .tor directory.
     o Fix crash with --enable-live-cd configure option. Thanks to anonym for
       reporting. Re-enabled hidden services under live-cd option.
    Minor Features
     o Add warning when installing Torbutton
     o Add ability to resolve hostnames/ips in the traffic logs.
     o Add ability to copy/paste entries from the Tor log.
     o Add 'Hidden Service' to 'Run Server' drop-down menu.
     o Add ability to drag urls to system tray to anonymize them (useful for
       hidden services).
    
2008-06-09 Robert Hogan <robert@roberthogan.net>
  TorK 0.29.1
    Bug Fixes/Feature Fixes
     o Forgotten cstdlib include from Patrick Matthei.
	 o Fix crash when attempting to update Tork.
	 o Update tork from http://downloadtork.anonymityanywhere.com.
     o getpeername() patch from weasel for torksocks.
     o Controlport was getting protected with a random password
       when TorK was connecting to Tor, but not when launched by TorK.

2008-06-09 Robert Hogan <robert@roberthogan.net>
  TorK 0.29
    Bug Fixes/Feature Fixes
     o Speed up pop-up windows
     o Block plaintext ports (23,110,109) and warn user. User can elect
       to allow the plaintext port for the rest of the session.
     o Quick Bandwidth Configuration in System Tray a la KTorrent.
     o Fix first-run wizard to allow proper configuration of system-managed
       privoxy. This should save users the bother of manually configuring
       a packaged, auto-starting privoxy installation to work with Tor.
     o If TorK attempts to launch Tor but finds an instance already running,
       only display the helpful pop-up message (asking if you want to just
       connect to the already running instance) and not the subsequent,
       confusing one (reporting the failure to bind to localhost:9050 as
       some sort of a bug).

    
2008-04-09 Robert Hogan <robert@roberthogan.net>
  TorK 0.28
    Bug Fixes/Feature Fixes
     o Always apply settings when OK or Apply clicked on configuration
       dialog. Some of the more exotic settings were not getting applied
       in some situations.
     o The non-anonymous settings (e.g. cookies,javascript) were not getting
       restored properly in some cases. This was due to an eccentricity in
       TDEConfig.
     o Be a little more aggressive with UPnP. Silently re-apply port
       forwarding to the UPnP router when (i) Tor tells us it has failed
       reachability tests, (ii) whenever the user presses play.
     o Always enable torbutton when launching firefox. 
     o Always show a padlock on SSL connections in the stream display.
    Minor Technical Stuff
     o Add some missing includes for Debian packaging. (Thanks to Patrick
       Matthai)
     o Change the build script so that we have an SSL_LIBS parameter to use
       with shallot when it's integrated.
     o Some extra configure checks for OpenBSD. (Thanks to kuburosso).


2008-02-28 Robert Hogan <robert@roberthogan.net>
  TorK 0.27
  o UPnP Support Added. Almost all code taken from Joris Guisson's UPnP 
    implementation in KTorrent. UPnP will only forward ports 80 and 443 
    - this is because anything else misses the point. Users who want to 
    get fancy with port forwarding can configure their router themselves. 
    UPnP is on by default but can be disabled at server set-up time or 
    through the config.
  o New compile-time configure option: --enable-gnutls. Default remains 
    OpenSSL. This resolves the licence clash between openSSL and third-party 
    GPL2 code in TorK. Thanks to Patrick Matthai for reporting.
  o Removed use of libwhich.
  o Usability Improvements. Reduced the initial complexity of the interface 
    by:
    o Remove 'connect'/disconnect from toolbar
    o Simple Mode:
      - Add 'More Options' button that will reveal:
        - 'Citizen' button
        - 'Fail-Safe' button and 'Fail Safe' config
        - 'Server' Button
        - 'Usability' config section
        - So in simple mode only 'Change ID' and 'un-censor' remain
    o 'My Tor Server', 'My Server BW', and 'Configure Server'remain hidden 
       unless a server is actually running.
    o 'My Hidden Services' remains hidden unless user elects to create a 
       hidden service from main listing.
    o 'My Network View' remains hidden until user right-clicks on server 
      list to select servers.
    o Thanks to anonym (maintainer of Incognito CD) for his help in defining 
      the above.
  o Add Server Set-Up Wizard. Used first time you set up a server.
  o Use an overlay rather than separate icons for the system tray 
    representation of server status.
  o New Czech translation from Marek Stopka.
  o Correct torksocks.conf manpage. Patch from Patrick Matthai.
  o Make sure libtorksocks is linked against libdl. Thanks to Patrick Matthai
    for reporting.
  o Make the traffic monitor a little less of an eyesore.


2007-12-21 Robert Hogan <robert@roberthogan.net>
    TorK 0.26
    Minor Features
     o Display a help bubble in the connections pane until the user has
       discovered the clickability of the network interface.
     o French translation from Daniel Berthereau <Daniel.Berthereau@laposte.net>.
	 o Fix geoip when --with-external-geoip used in configure. The option will now
       ensure that an external geoip installation (including db) is used. TorK will
       issue a warning if the external or local db cannot be found/read.
       (Reported by Marek Stopka and Patrick Matthai.)
    Bug Fixes/Feature Fixes
     o Disabled 0.2.x-only TorK features when running a 0.1.x version of Tor.
     o Internationalized all pop-up messages. They should now be translate-able.
     o Random password is now the default authentication mechanism. Cookies
       were causing too much trouble on certain installations. In the event
       of the user getting locked-out by a random password (e.g. crash), TorK will offer
       to reset Tor and try reconnecting.
     o Update GPL Licence with correct address. (Reported by Patrick Matthai.)
     o Fix interface bugs when selecting countries/servers for include/exclude.
     o When displaying exit in connections pane, find the exit to display using server digest
       rather than nickname. 
	 o Modify license for OpenSSL. (Reported by Patrick Matthai.)
	 o Cleanup tsocks dir properly during make clean. (Reported by Patrick Matthai.)
     o For 'My Bandwidth' allow TorK to always set values, even when greyed out. Selecting 'default'
       resets values to default.
     o For 'Performance' in 'My Tor Server' do the same
     o For 'Normal Settings' in 'My Tor Client' do the same.
     o For 'My Tor Server' do not store 'old' values if greyed out, but always apply values. This will 
       work because 'never run as server' is tied to ClientOnly - which prevents Tor from
       functioning as a server.
     o Patch to 'About' dialog from Jonathan Patrick Davies.

2007-12-07 Robert Hogan <robert@roberthogan.net>
    TorK 0.24.1
    Bug Fixes/Feature Fixes
     o Make the first-run wizard work properly again.

2007-12-07 Robert Hogan <robert@roberthogan.net>
    TorK 0.24
    Minor Features
     o Use random password to secure control session if no cookie/password configured.
	 o Add 'max' bw to pop-up display. 
	 o German Translation from Max Urgel (bitwisser at googlemail.com) 
     o Updated Czech tranlation from Marek Stopka.
    Bug Fixes/Feature Fixes
     o Fix crash when server changes address.
     o Fix scheduled bandwidth feature to work reliably. 
     o More packaging related clean-ups.
     o Correct 'about' section. Patch from Jonathan Patrick Davies (jpatrick @ kubuntu.org).

2007-11-05 Robert Hogan <robert@roberthogan.net>
    TorK 0.23 - The 'Oh For Crying Out Loud!' Release
    Regression Fix
      o The feature 'Cope with new extra-info handling for servers' in TorK 0.22 uses 
        a feature only available in the develoment version of Tor, rendering 
        TorK unusable if it is launching, rather than just connecting to, older 
        versions of Tor. Revert the change until the new feature makes the Tor stable release.
        Thanks to Chris Giles for reporting.
    Bug Fixes/Feature Fixes
      o Fix nearly all compiler warnings in all components.
      o Fix crash in libtorksocks if no configuration file present.
      o Fix crash in libtorksocks if malformed configuration file passed (Thanks to
        Brian Piatkus for reporting).
	  o Use reasonable Tor defaults if tsocks configuration file malformed or absent. 
	  o Many build fixes for torksocks. Thanks to Jonathan Patrick Davies. See
        PACKAGING for more information if you are packaging TorK.
	  o Update to latest KDE admin build directory 


2007-10-31 Robert Hogan <robert@roberthogan.net>
    TorK 0.22
    Security Fixes
      o Security Fix for Privoxy Config.
        See http://archives.seul.org/or/talk/Oct-2007/msg00291.html.
    Bug Fixes/Feature Fixes
      o Corrections to torksocks installation. Patches from Patrick Matth�i.
      o Cope with new extra-info handling for servers 
      o Resolve dns through tor 
      o Fix stream bandwidth counting 
      o Create --enable-live-cd configure option 

2007-10-20 Robert Hogan <robert@roberthogan.net>
    TorK 0.21
    Bug Fixes/Feature Fixes
      o Fix bug when no tor installed and connecting to a remote instance (Thanks maxims!) 
      o Patches and advice from Patrick Matth�i. Added manpages, corrected desktop files,
        and various other bits and pieces. TorK should be much easier to package now.
      o Apply settings - make togglebox allow you to apply in future always
      o Make systray icon reflect client/server status rather than activity
      o stop trying to connect if waiting more than 20 secs
      o copy control_auth_cookie to ~/.tor in first-run wizard
      o stop other passive popups when a showstopper popup has already been displayed
      o zeroise netstats on disconnect
      o New iconset
      o Clear text filter when disabled
      o Make tor-ified fetching of mixminion directory work again
      o Remove need for libkonq4-dev
      o Fix various runtime warnings noted by arma.
      o Fix bug where settings were getting applied twice.
      o Fix some incorrect positioning of options in the config pointed out by arma.
      o Fix layout of first-run wizard.
      o Add tork.menu and tork.xpm from Patrick Matth�i.
      o Upgrade GeoIP to 1.4.3.

2007-09-23 Robert Hogan <robert@roberthogan.net>
    TorK 0.20
    Bug Fixes/Feature Fixes
      o Cookie Authentication wasn't being used for Tork-initiated instances of tor. 
        Thanks to Chris Giles for reporting. 
      o Start minimized to system tray when restored. 

2007-09-19 Robert Hogan <robert@roberthogan.net>
    TorK 0.19
    New Features
      o Client-side Censorship evasion
      o Add passive pop-up with client/server/bw info when hovering over system tray.
        Re-cycled from a feature in KTorrent (c) Joris Guisson.
      o Ability to run anti-censorship server
      o Text Filter for Server list
      o Recent bandwidth history in Server Info
      o Enforce cookie authentication during first-run wizard for local tor instances.
      o Recommend password authentication during first-run wizard for remote tor instances.
      o Search for cookie in multiple directories.
      o Czech translation from "Marek Stopka (m4r3k)" <marekstopka at gmail.com> 
      o Option to anonymize konqueror immediately when starting/connecting to Tor.

    Bug Fixes/Feature Fixes
      o Fix a stupid bug that degraded performance over multipe stop/starts of tor 
      o Miscellaneous fixes to configuration interface
      o Remove dyndns ip testing.
      o Fix ' lacks a SONAME' reported by "Wulf C. Krueger" <philantrop at gentoo.org> 
      o Only show server-info on left click.
      o Make 'My Family' usable again (and better)
      o Remove 'Let Tor Decide Whether I should be a server'
      o Session exclude nodes were not getting cleared at the end of the session.
      o Fix the sorting of messages in the 'Tor Log' tab.
      o Beefed up introduction wizard.

2007-07-30 Robert Hogan <robert@roberthogan.net>
    TorK 0.18
    Major Features
        o 'Failsafe' settings, including DNS re-routing for Tor 0.2.0 and above.
        o Add 'program' column to connection display for Tor 0.2.0 and above
    Minor Features
        o Refactor 'Network View' config pane to make the config page load faster.
        o Make DNS requests asynchronous.
        o Make default server name uniform rather than random 'TorKServer'
        o Simplified Chinese Translation from nihui.
        o Implement general, server and client status events
        o Add country servers to exclude list if country blocked
        o Add TorK generated messages to Tor log and flag accordingly.
        o Implement entry-guards status events
        o Update flags icon-set
    Bug Fixes
        o Remove most compiler warnings
        o Remove dependency on libkonq
        o Install torksocks using the path defined at compilation

2007-06-01 Robert Hogan <robert@roberthogan.net>
    TorK 0.17
    Major Features
        o Kicker applet
        o Konqueror plugin
        o Konqueror right-cliick actions
        o Add tor: io slave.
    Minor Features
        o Turkish translation (Emre Aladag, Inanc Yildirgan, Mustafa Gunay, Ertugrul Erata)
    Minor Bug Fixes
        o Reset filters when server list fully refreshed

2007-05-08 Robert Hogan <robert@roberthogan.net>
    TorK 0.16
    **Important Bug Fix**
        o Konqueror settings to disable/enable plugins/java/javascript were not being applied
          to all existing konqueror windows when anonymity was toggled.
    Minor Features
        o Make DNS Leak warnings less noisy. The rationale now is: If we see a DNS request 
          (noticing these is still not failsafe), and an active Tor connection within the next 6 seconds
          then report a possible DNS leak. The previous approach was to report possible leaks
          whenever a DNS request was noticed while KDE/Konqueror were enabled for Tor.
        o Be more informative when KDE-wide anonymity is toggled.
        o Add Pidgin to application list.
        o Point to http://healthcheck.anonymityanywhere.com
    Bug Fixes
        o Change installation of GeoIP so that it is internal to TorK, rather than system wide.
          This prevents crashes if the installation is not 'as expected'.
        o Enforce 20KB as minimum bandwidth in configuration module.

2007-04-30 Robert Hogan <robert@roberthogan.net>
    TorK 0.15
    Minor Features
        o If thttpd is installed, don't offer to download it.
        o Add 'Run Server' button
        o Alert user that KDE's non-anonymous settings have been restored when Tork is closed.
        o Beginnings of intro-wizard.
        o Speed up sliding notifications
        o Fix bug when stopping and restarting connection to tor.
        o Show version of Tor in titlebar

2007-03-25 Robert Hogan <robert@roberthogan.net>
    TorK 0.14
    Major Features:
        o Add Pseudonymity button
        o Filter servers by country and by type.
        o Filter log events, traffic logs.
        o Display bandwidth per stream.
        o Dynamically block/prefer exits with right-click.
        o Allow user to specify what bandwidth should be allowed to Tor and when.
        o Allow user to select terminal type for tor-ified ssh/telnet sessions.

    Minor Features
        o do not install libwhich and libgeoip
        o count our own seconds for bw events
        o Fix browser settings for opera/firefox
        o Combo select for tor session type (beneath onion on main page)

    Bug Fixes
        o Really fix irritating window resizes when long log messages displayed!


2007-01-14 Robert Hogan <robert@roberthogan.net>
    TorK 0.13
    Major Features
        o New set-up wizard (incomplete but functional).
        o Send Anonymous Email using mixminion.
        o Browse Anonymously with Firefox
        o Browse Anonymously with Opera
        o Graphs now show system network traffic on eth* interfaces.
        o Link to privoxy configuration.
        o Modify appearance of konqueror windows when anonymous browsing enabled (experimental).

    Minor Features
        o Optional 'Paranoid' mode for browsing.
        o Improvements to tor network display.
        o Make exit nodes in the server list identifiable.
        o Improvements to quick launch interface.
        o Reverse lookup IP address of servers when displaying their status.
        o Better 'guard' icons.
        o Better privoxy management.

    Bug Fixes
        o Fix crash on systems with libfam enabled.
        o Fix irritating window resizes when long log messages displayed.
        o Fix fact TorK was using the most inconvenient way of getting network statuses.
        

2006-11-26 Robert Hogan <robert@roberthogan.net>
    Bug fixes and memory leak fixes. 

2006-11-20 Robert Hogan <robert@roberthogan.net>
    Add network from KNetStat (c) Hugo Parente Lima. 

2006-11-14 Robert Hogan <robert@roberthogan.net>
    patch from Diego "Flameeyes" Petten� for external tsocks support 

2006-11-13 Robert Hogan <robert@roberthogan.net>
    Add a new quickstart page for torifying common applications. 

2006-11-01 Robert Hogan <robert@roberthogan.net>
    Read all of getinfo dir/status/all 

2006-10-23 Robert Hogan <robert@roberthogan.net>
    Add more Konqueror and Privacy Proxy options. 

2006-10-21 Robert Hogan <robert@roberthogan.net>
    Show/Hide green title bar. 

2006-10-18 Robert Hogan <robert@roberthogan.net>
    0.09 release. 

2006-10-10 Robert Hogan <robert@roberthogan.net>
    Eye-candy banner with quick-links to features. 

2006-10-10 Robert Hogan <robert@roberthogan.net>
    Fixes for additions to controller protocol. 

2006-10-10 Robert Hogan <robert@roberthogan.net>
    Add hidden services wizard. 

2006-10-01 Robert Hogan <robert@roberthogan.net>
    Use likeback-0.4 

2006-09-29 Robert Hogan <robert@roberthogan.net>
    Fix dragging of routers from Routers list. 

2006-09-29 Robert Hogan <robert@roberthogan.net>
    Add servername and contactinfo to wizard.

2006-09-29 Robert Hogan <robert@roberthogan.net>
    Exclude nodes using their digest rather than name.

2006-09-29 Robert Hogan <robert@roberthogan.net>
    Restore user-configured proxy settings instead of writing our own when enabling/disabling KDE's use of privoxy/tor.

2006-09-28 Robert Hogan <robert@roberthogan.net>
    Fix crash when you stop TorK while settings are being applied.

2006-09-23 Robert Hogan <robert@roberthogan.net>
    Patch from Diego 'Flameeyes' Petten� <flameeyes at gentoo.org> to allow linking to external geoip library. See configure --help for more. 

2006-09-23 Robert Hogan <robert@roberthogan.net>
    Patch from Diego 'Flameeyes' Petten� <flameeyes at gentoo.org> to fix crash against old 0.07 install. 

2006-09-21 Robert Hogan <robert@roberthogan.net>
    Exclude and prefer nodes by country.
    Run in system tray by default.
    Improve handling of temp files.
    'Update TorK' feature.
    Clean up log display.
    A few bug fixes.

2006-09-07 Robert Hogan <robert@roberthogan.net>
    Add dragging streams to circuits and fix window/systray interaction. 

2006-09-03 Robert Hogan <robert@roberthogan.net>
    Remove some debug statements and fix an include. 

2006-09-02 Robert Hogan <robert@roberthogan.net>
    Final commit for 0.07 alpha 

2006-09-02 Robert Hogan <robert@roberthogan.net>
    Changes for 0.07-alpha:
        Identify and flag country of Tor servers using GeoIP. 
        Improve look and feel of gui.
        Add various small features requested by likeback users.
        Make warning/error/dns messages configurable.

2006-08-17 Robert Hogan <robert@roberthogan.net>
    Final commit for 0.06-alpha 

2006-08-17 Robert Hogan <robert@roberthogan.net>
    Config fixes. 0.06 release. 

2006-08-12 Robert Hogan <robert@roberthogan.net>
    Add Amarok CrashHandler, BasKet's Likeback and split out portsandnames.h and portsandicons.h. 

2006-08-10 Robert Hogan <robert@roberthogan.net>
    Fix generation of random server nickname to ,er, actually be random. 

2006-07-30 Robert Hogan <robert@roberthogan.net>
    Add 'Browse Hidden Services'. First hack at updating tor settings on-the-fly and intelligently. 

2006-07-22 Robert Hogan <robert@roberthogan.net>
    0.05-alpha : Traffic Log added. A few cleanups here and there.  

2006-07-12 Robert Hogan <robert@roberthogan.net>
    More work on the traffic log. Pick up DNS requests not routed through Tor. 

2006-07-09 Robert Hogan <robert@roberthogan.net>
    Use Tor/Privoxy paths found in wizard. 

2006-07-08 Robert Hogan <robert@roberthogan.net>
    Add first draft of a traffic log comparing tor and non-tor traffic. Add 'hide' button to tor traffic osd. 

2006-07-05 Robert Hogan <robert@roberthogan.net>
    Final Commit for 0.04-alpha release.  

2006-07-03 Robert Hogan <robert@roberthogan.net>
    Added a rudimentary OSD connection monitor. Looks quite nice actually. 

2006-06-24 Robert Hogan <robert@roberthogan.net>
    Add 'Tips of the Day' 

2006-06-22 Robert Hogan <robert@roberthogan.net>
    Add cvs version headers to a few files. 

2006-06-22 Robert Hogan <robert@roberthogan.net>
    Change disable konqueror icon. 

2006-06-22 Robert Hogan <robert@roberthogan.net>
    Add ability to manage remote and already-running instances of Tor. 

2006-06-22 Robert Hogan <robert@roberthogan.net>
    Check for KDE Version. 

2006-06-19 Robert Hogan <robert@roberthogan.net>
    Final commit before 0.03 

2006-06-17 Robert Hogan <robert@roberthogan.net>
    Add ability to clear list selections in configure dialog. 

2006-06-17 Robert Hogan <robert@roberthogan.net>
    Add support for cookie and password authentication. 

2006-06-16 Robert Hogan <robert@roberthogan.net>
    Add Relay Servers option. Use checkip.dyndns.org for IP checking. 

2006-06-12 Robert Hogan <robert@roberthogan.net>
    Config now 90% complete. Seems to work well for most part. 

2006-06-10 Robert Hogan <robert@roberthogan.net>
    Rework the config, get most of it working properly and get the error messages queueing properly. Time to watch more football. 

2006-06-06 Robert Hogan <robert@roberthogan.net>
    Add base for handling tor config options more intelligently 

2006-06-06 Robert Hogan <robert@roberthogan.net>
    Fix crash reported by LiuCougar; Attempt queued error/warning messages; 

2006-06-06 Robert Hogan <robert@roberthogan.net>
    Allow proxy ports up to 999 (Thanks to LiuCougar for pointing this out) 

2006-05-21 Robert Hogan <robert@roberthogan.net>
    Add Network Graph (from KNetLoad) 

2006-05-01 Robert Hogan <robert@roberthogan.net>
    Add Server Info PopUp 

2006-04-08 Robert Hogan <robert@roberthogan.net>
    Added arkollon 

2006-02-22 Robert Hogan <robert@roberthogan.net>
    * Starting and Stopping Tor 
    * Totalling Downloaded/Uploaded 
     
     

2006-02-19 Robert Hogan <robert@roberthogan.net>
    Get most of the config interface working 

2006-02-19 Robert Hogan <robert@roberthogan.net>
    Work On Config - Tie known servers to options lists 

2006-02-19 Robert Hogan <robert@roberthogan.net>
    Add Icons To Streams 

